List environments
curl --request GET \
--url https://api.example.com/api/v1/environments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/environments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "docker",
"revision": "0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
"image": {
"docker": "<string>",
"dockerfile": {
"type": "inline",
"value": "<string>"
}
},
"resources": {
"cpu": 123,
"memory": "<string>",
"disk": "<string>"
},
"network": {
"allow": [
"<string>"
]
},
"lifecycle": {
"preserve": true,
"stop_on_terminal": true,
"auto_stop": "<string>"
},
"labels": {},
"env": {},
"cwd": "/srv/fabro/workspaces/team-a"
}
],
"meta": {
"total": 1
}
}{
"errors": [
{
"status": "404",
"title": "Not Found",
"detail": "Run not found.",
"code": "access_token_expired",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leftover_env_keys": [
"<string>"
],
"removed_env_keys": [
"<string>"
]
}Environments
List environments
Returns all server-managed environment definitions, sorted by id.
GET
/
api
/
v1
/
environments
List environments
Authorizations
BearerAuthSessionCookie
Raw dev token passed as Authorization: Bearer fabro_dev_... when server.auth.methods includes dev-token.
⌘I